# -*- encoding: utf-8 -*-
# stub: subnets 1.0.0 ruby lib
# stub: ext/subnets/extconf.rb

Gem::Specification.new do |s|
  s.name = "subnets".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Patrick Mahoney".freeze]
  s.date = "2018-05-24"
  s.description = "C implementation of IPv4, IPv6 address and network parser with\nfast determination of IP membership within a given subnet.\n".freeze
  s.email = "patrick.mahoney@raise.com".freeze
  s.extensions = ["ext/subnets/extconf.rb".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "COPYING".freeze]
  s.files = ["COPYING".freeze, "README.md".freeze, "ext/subnets/extconf.rb".freeze]
  s.homepage = "https://github.com/raisemarketplace/subnets".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "C-extension for dealing with IP addresses and subnets".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest-reporters>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, [">= 0"])
    s.add_development_dependency(%q<ipaddr>.freeze, [">= 0"])
    s.add_development_dependency(%q<ipaddress>.freeze, [">= 0"])
    s.add_development_dependency(%q<netaddr>.freeze, [">= 0"])
    s.add_development_dependency(%q<rack>.freeze, [">= 0"])
    s.add_development_dependency(%q<actionpack>.freeze, [">= 0"])
  else
    s.add_dependency(%q<minitest>.freeze, [">= 0"])
    s.add_dependency(%q<minitest-reporters>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, [">= 0"])
    s.add_dependency(%q<ipaddr>.freeze, [">= 0"])
    s.add_dependency(%q<ipaddress>.freeze, [">= 0"])
    s.add_dependency(%q<netaddr>.freeze, [">= 0"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
    s.add_dependency(%q<actionpack>.freeze, [">= 0"])
  end
end
